Asset charge Prepare (CEX → internal wallet)
POST
/v1/transfer/charge/prepare
const url = 'https://api.parasta.io/v1/transfer/charge/prepare';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"route":"exchange_to_internal","source":{"type":"exchange","cexAccountId":"example"},"destination":{"type":"internal_wallet","networkId":"example"},"tokenId":"example","amount":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/transfer/charge/prepare \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "route": "exchange_to_internal", "source": { "type": "exchange", "cexAccountId": "example" }, "destination": { "type": "internal_wallet", "networkId": "example" }, "tokenId": "example", "amount": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
route
required
string
source
required
object
type
required
string
cexAccountId
string
destination
required
object
type
required
string
networkId
required
string
tokenId
required
string
amount
required
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
validation
object
cexBalance
string
sufficient
boolean
dailyLimitUsed
string
dailyLimitRemaining
string
destinationAddress
object
address
string
networkId
string
fees
object
cexWithdrawFee
string
networkGas
string
feePayor
string
signing
object
description
string
items
required
Array<object>
object
id
required
string
parameter
required
Time- and state-independent parameters of a signing slot.
One of two modes: on-chain signing (algorithm + keyUri + domain) or 2FA (authMethod).
object
algorithm
E.g.: ecdsa-secp256k1-keccak, eip191-personal-sign,
eip712-erc4337-userop-v1, eip712-erc4337-merkleroot-v1.
string
keyUri
string
domain
object
key
additional properties
any
authMethod
string
payload
Present only for on-chain signing slots. Empty for 2FA slots.
string
summary
object
key
additional properties
any
Example
{ "fees": { "feePayor": "user" }, "signing": { "items": [ { "parameter": { "algorithm": "ecdsa-secp256k1-keccak", "authMethod": "passkey" } } ] }}